
%global meadversion 1.2.0
%global namedversion 1.2.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package log4j-jboss-logmanager}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.0.Final-redhat-00001

Name:             %{?scl_prefix}log4j-jboss-logmanager
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss Log4j Emulation 
Group:            Development/Libraries

%if %with mead
Source100: log4j-jboss-logmanager-1.2.0.Final-redhat-00001-project-sources.tar.gz
Source102: log4j-jboss-logmanager-1.2.0.Final-redhat-00001.pom
Source103: log4j-jboss-logmanager-1.2.0.Final-redhat-00001-sources.jar
Source104: log4j-jboss-logmanager-1.2.0.Final-redhat-00001.jar
Source105: log4j-jboss-logmanager-1.2.0.Final-redhat-00001-javadoc.jar
%endif

License:          ASL 2.0
URL:              https://github.com/jboss-logging/log4j-jboss-logmanager

BuildArch:        noarch
BuildRoot:      %{_tmppath}/log4j-jboss-logmanager-%{version}-%{release}-buildroot


%description
JBoss Log4j Emulation 

%if %with javadoc
%package javadoc
Summary:        Javadoc for log4j-jboss-logmanager
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n log4j-jboss-logmanager-%{namedversion} -T -b 100
                                                                                                     
%build
                                                                                                     
%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/log4j-jboss-logmanager-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/log4j-jboss-logmanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%if %with javadoc
%{__cp} -p %{_sourcedir}/log4j-jboss-logmanager-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/log4j-jboss-logmanager-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/log4j-jboss-logmanager-%{namedversion}
%{__unzip} -qq %{_sourcedir}/log4j-jboss-logmanager-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/log4j-jboss-logmanager-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/log4j-jboss-logmanager-%{namedversion}/META-INF
%{__ln_s} log4j-jboss-logmanager-%{namedversion} %{buildroot}%{_javadocdir}/log4j-jboss-logmanager
%endif

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files -n %{?scl_prefix}log4j-jboss-logmanager
%defattr(0644,root,root,0755)
%{_javadir}/log4j-jboss-logmanager-%{namedversion}.jar
%{_javadir}/log4j-jboss-logmanager.jar
%{_javadir}/log4j-jboss-logmanager-%{namedversion}-sources.jar
%{_javadir}/log4j-jboss-logmanager-sources.jar
%if %with javadoc
%{_javadir}/log4j-jboss-logmanager-%{namedversion}-javadoc.jar
%{_javadir}/log4j-jboss-logmanager-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/log4j-jboss-logmanager-%{namedversion}
%{_javadocdir}/log4j-jboss-logmanager
%endif

%changelog
* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.2.0-1.Final_redhat_00001.1
- 1.2.0.Final-redhat-00001

* Tue Oct 23 2018 Permaine Cheung <pcheung@redhat.com> - 1.1.6-2.Final_redhat_00001.1
- 1.1.6 wrapper

* Tue Jul 24 2018 Permaine Cheung <pcheung@redhat.com> - 1.1.4-3.Final_redhat_1.1
- Rewrap

* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 1.1.4-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Wed Aug 09 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.4-1.Final_redhat_1.1
- Upgrade to 1.1.4.Final

* Thu Mar 30 2017 Petr Sakar <psakar@redhat.com> - 1.1.3-1.Final_redhat_1.1
- upgrade to 1.1.3.Final-redhat-1

* Wed Jul 08 2015 Hui Wang <huwang@redhat.com> - 1.1.2-1.Final_redhat_2.1
- Upgrade to 1.1.2.Final-redhat-2

* Tue Nov 11 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Upgrade to 1.1.1.Final

* Tue Mar 04 2014 Yong Yang <yyang@redhat.com> - 1.1.0-2.Final_redhat_2.1
- Rebuild

* Mon Mar 03 2014 Yong Yang <yyang@redhat.com> - 1.1.0-1.Final_redhat_1.1
- Upgrade to 1.1.0.Final

* Mon Mar 03 2014 Yong Yang <yyang@redhat.com> - 0:1.1.0-1.Final_redhat_
- 1.1.0.Final

* Mon Jun 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-3.Final_redhat_2
- Rebuild for MD5

* Mon Sep 10 2012 Paul Gier <pgier@redhat.com> - 1.0.1-2.Final_redhat_2
- Rebuild to fix pom dependency versions

* Sat Aug 25 2012 Hui Wang <huwang@redhat.com> - 1.0.1-1.Final_redhat_1
- Uprade to 1.0.1.Final

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 1.0.0-1.Final_redhat_2.3
- Update pom patch for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Hui Wang <huwang@redhat.com> 1.0.0-1.Final_redhat_1
- First build
